#!/bin/bash
# Add contrib and non-free to repositories
if [ ! "$(grep -E "non-free" /etc/apt/sources.list)" ]; then
  sed -i '/deb http:\/\/deb.debian.org\/debian\/ bullseye main/s/$/ contrib non-free/' /etc/apt/sources.list
fi

dpkg --add-architecture i386
apt-get update
echo steam steam/question select "I AGREE" | debconf-set-selections
echo steam steam/license note '' | debconf-set-selections
DEBIAN_FRONTEND=noninteractive apt-get -y install steam